Loading...
Searching...
No Matches
object_factory.h File Reference

CObjectFactory - factory for game objects. More...

`#include "math/vector.h"`
`#include "object/object_type.h"`
`#include <memory>`
Include dependency graph for object_factory.h:

## Classes

class | CObjectFactory

## Namespaces

namespace | Gfx
| Namespace for (new) graphics code.

## Typedefs

using | CObjectUPtr = std::unique_ptr<CObject>

## Detailed Description

CObjectFactory - factory for game objects.